import { Plugin, ExtractPropTypes, App } from 'vue';
type Props = ExtractPropTypes<typeof props>;
declare const props: {
    color: StringConstructor;
    opacity: NumberConstructor;
    duration: NumberConstructor;
    transition: StringConstructor;
    keepLastRipple: {
        type: BooleanConstructor;
        default: undefined;
    };
};
declare const events: {
    touch: (event: MouseEvent) => boolean;
    click: (event: MouseEvent) => boolean;
    start: (id: number) => boolean;
    end: (id: number) => boolean;
};
type Events = typeof events;
declare const DEFAULT_CONFIG: Readonly<Required<Props>>;
declare const TouchRipple: import("vue").DefineComponent<{
    color: StringConstructor;
    opacity: NumberConstructor;
    duration: NumberConstructor;
    transition: StringConstructor;
    keepLastRipple: {
        type: BooleanConstructor;
        default: undefined;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    touch: (event: MouseEvent) => boolean;
    click: (event: MouseEvent) => boolean;
    start: (id: number) => boolean;
    end: (id: number) => boolean;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    color: StringConstructor;
    opacity: NumberConstructor;
    duration: NumberConstructor;
    transition: StringConstructor;
    keepLastRipple: {
        type: BooleanConstructor;
        default: undefined;
    };
}>> & {
    onStart?: ((id: number) => any) | undefined;
    onEnd?: ((id: number) => any) | undefined;
    onTouch?: ((event: MouseEvent) => any) | undefined;
    onClick?: ((event: MouseEvent) => any) | undefined;
}, {
    keepLastRipple: boolean;
}>;
declare const install: Plugin;
declare const _default: {
    TouchRipple: import("vue").DefineComponent<{
        color: StringConstructor;
        opacity: NumberConstructor;
        duration: NumberConstructor;
        transition: StringConstructor;
        keepLastRipple: {
            type: BooleanConstructor;
            default: undefined;
        };
    }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        touch: (event: MouseEvent) => boolean;
        click: (event: MouseEvent) => boolean;
        start: (id: number) => boolean;
        end: (id: number) => boolean;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        color: StringConstructor;
        opacity: NumberConstructor;
        duration: NumberConstructor;
        transition: StringConstructor;
        keepLastRipple: {
            type: BooleanConstructor;
            default: undefined;
        };
    }>> & {
        onStart?: ((id: number) => any) | undefined;
        onEnd?: ((id: number) => any) | undefined;
        onTouch?: ((event: MouseEvent) => any) | undefined;
        onClick?: ((event: MouseEvent) => any) | undefined;
    }, {
        keepLastRipple: boolean;
    }>;
    install: ((app: import("vue").App<any>, ...options: any[]) => any) & {
        install?: ((app: import("vue").App<any>, ...options: any[]) => any) | undefined;
    };
};
export type { Props, Events };
export { _default as default, DEFAULT_CONFIG, TouchRipple, install };
